---
title: MSManipulationEvent.initMSManipulationEvent()
slug: Web/API/MSManipulationEvent/initMSManipulationEvent
tags:
  - API
  - 'API:Microsoft Extensions'
  - Deprecated
  - Method
  - Non-standard
  - Reference
  - initMSManipulationEvent
---
<div>{{APIRef("Microsoft Extensions")}}{{Non-standard_Header}}{{Deprecated_Header}}</div>

<p>The <code><strong>initMSManipulationEvent</strong></code> method is used to create a {{DOMxRef("MSManipulationEvent")}} that can be called from JavaScript.</p>

<p>This proprietary method is specific to Internet Explorer. Beginning with the Microsoft Edge browser, the <a href="/en-US/docs/Web/API/Event/initEvent">initEvent()</a> constructor pattern for synthetic events is deprecated.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="brush: js; syntaxbox">MSManipulationEvent.initMSManipulationEvent(typeArg, canBubbleArg, cancelableArg, viewArg, detailArg, lastState, currentState);
</pre>

<h3 id="Parameters">Parameters</h3>

<p><strong>typeArg</strong> [in]</p>

<p>Type: <em>DOMString</em></p>

<p>The type of the event being created.</p>

<p><strong>canBubbleArg</strong> [in]</p>

<p>Type: <em>boolean</em></p>

<p>Indicates whether the event can bubble. When true the event should propagate upward. When false the event does not propagate upward.</p>

<p><strong>cancelableArg</strong> [in]</p>

<p>Type: <em>boolean</em></p>

<p>Indicates whether the event’s default action can be prevented. When true, the default action can be canceled. When false, the default action cannot be canceled.</p>

<p><strong>viewArg</strong> [in]</p>

<p>Type: <em>AbstractView</em></p>

<p>The view in which the event is taking place.</p>

<p><strong>detailArg</strong> [in]</p>

<p>Type: <em>Integer</em></p>

<p>Specifies some detailed information depending upon the event.</p>

<p><strong>lastState</strong> [in]</p>

<p>Type: <em>Integer</em></p>

<p>Indicates the last state of the manipulation event.</p>

<p><strong>currentState</strong> [in]</p>

<p>Type: <em>Integer</em></p>

<p>Indicates the current state of the manipulation event.</p>

<h3 id="Return_value">Return value</h3>

<p>This method does not return a value.</p>

<h3 id="Example">Example</h3>

<pre class="brush: js">interface MSManipulationEvent extends UIEvent {
    readonly currentState: number;
    readonly inertiaDestinationX: number;
    readonly inertiaDestinationY: number;
    readonly lastState: number;
    initMSManipulationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, lastState: number, currentState: number): void;
    readonly MS_MANIPULATION_STATE_ACTIVE: number;
    readonly MS_MANIPULATION_STATE_CANCELLED: number;
    readonly MS_MANIPULATION_STATE_COMMITTED: number;
    readonly MS_MANIPULATION_STATE_DRAGGING: number;
    readonly MS_MANIPULATION_STATE_INERTIA: number;
    readonly MS_MANIPULATION_STATE_PRESELECT: number;
    readonly MS_MANIPULATION_STATE_SELECTING: number;
    readonly MS_MANIPULATION_STATE_STOPPED: number;
}
</pre>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/MSManipulationEvent">MSManipulationEvent</a></li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
